import { Prompt } from '../../../lib/utils/prompt/index'

class MyPrompt extends Prompt {
  constructor() {
    super()
    this.instance = null
  }

  static getInstance() {
    if (!this.instance) {
      this.instance = new MyPrompt()
    }
    return this.instance
  }
}

let _myPrompt = MyPrompt.getInstance()
export default _myPrompt
